<?php
 namespace VnChocola\Module\Notauth;
 use TCMS\Module;
 use Route;
 use Model;
 use LayoutData;
 class Visited extends Module {
 protected function initialize() {
 $this->authExtension = false;
 }
 protected function registerRoutes() {
 Route::post('/visit-customers/number','IndexController','postSearchNumber')->name('searchPlate');
 Route::post('/visit-customers/today','IndexController','postTodayVisit')->name('postTodayVisit');
 Route::post('/visit-customers/video','IndexController','postVideoRecord')->name('postVideoRecord');
 Route::get('/visit-customers/today/{brandID}/{lang}','ViewController','index')->name('todayvisit');
 Route::post('/test','IndexController','test')->name('test');
 Route::get('/test1','IndexController','test1')->name('test1');
 Route::get('/get_servers_list','IndexController','setServerList')->name('todayvisit');
 }
 public function registerComponent() {
 Model::add('VisitCustomersModel', \VnChocola\Model\VisitCustomersModel::class, true);
 Model::add('ReservesModel', \VnChocola\Model\ReservesModel::class, true);
 Model::add('CarsInfoModel',\VnChocola\Model\CarsInfoModel::class,true);
 Model::add('StaffsModel',\VnChocola\Model\StaffsModel::class,true);
 Model::add('CustomersModel', \VnChocola\Model\CustomersModel::class, true);
 Model::add('PurposesModel', \VnChocola\Model\PurposesModel::class, true);
 Model::add('CitysModel', \VnChocola\Model\CitysModel::class, true);
 Model::add('DistrictsModel', \VnChocola\Model\DistrictsModel::class, true);
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 }
 }
